histogram_get
GET
/logs/v2/histogram
const url = 'https://api.siteqwality.com/logs/v2/histogram';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/logs/v2/histogram \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” range
string
from
string
to
string
tz
string
t
string
q
string
fields
string
Comma-separated fixed fields or attribute keys.
prefix
string
cursor
string
limit
integer format: int32
interval
string
service
string
env
string
name
string
key
string
focus
string
sort
string
span_id
string
by
string
compare
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
required
Array<object>
object
timestamp
required
string
count
required
integer format: int64
error
Logs at error or fatal level; spans with error status. The level fields are logs only:
debug includes trace, and records without a level are the remainder of count.
integer | null format: int64
warn
integer | null format: int64
info
integer | null format: int64
debug
integer | null format: int64
step_seconds
required
integer format: int64
meta
required
object
from
required
string
to
required
string
clamped_from
string | null
partial
required
boolean
slow_terms
required
Array<string>
Example generated
{ "data": [ { "timestamp": "example", "count": 1, "error": 1, "warn": 1, "info": 1, "debug": 1 } ], "step_seconds": 1, "meta": { "from": "example", "to": "example", "clamped_from": "example", "partial": true, "slow_terms": [ "example" ] }}